List deployable nodes
/api/application/nodes/deployableReturns nodes that can satisfy the requested memory, disk, and optional location deployment constraints.
Authorization
default Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Query Parameters
Memory required for the deployment, in megabytes.
Disk required for the deployment, in megabytes.
Restrict results to these location IDs.
Page number to return. When omitted, all viable nodes are returned without pagination metadata.
Number of nodes to return per page when page is supplied, up to 100.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/application/nodes/deployable?memory=1024&disk=10240&location_ids=1&location_ids=2&page=1&per_page=50"{ "object": "list", "data": [ { "object": "node", "attributes": { "id": 13316, "uuid": "187b8d09-e808-4cfb-83d2-99913dff8daa", "public": true, "name": "FactoryNode_z0EUCKodf8", "description": "string", "location_id": 15978, "fqdn": "17.170.141.175", "scheme": "http", "behind_proxy": false, "maintenance_mode": false, "memory": 1024, "memory_overallocate": 0, "disk": 10240, "disk_overallocate": 0, "upload_size": 100, "daemon_listen": 8080, "daemon_sftp": 2022, "daemon_base": "/var/lib/pterodactyl/volumes", "created_at": "2026-09-22T14:45:23+00:00", "updated_at": "2026-09-22T14:45:23+00:00", "allocated_resources": { "memory": 0, "disk": 0 } }, "meta": { "resource": "https://panel.example.test/api/application/nodes/1" } } ]}